Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451670 - mkinitrd does not support encrypted block devices
Summary: mkinitrd does not support encrypted block devices
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: mkinitrd
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Peter Jones
QA Contact: Alexander Todorov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-16 16:02 UTC by David Lehman
Modified: 2009-03-12 07:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 22:12:37 UTC


Attachments (Terms of Use)
rough patch to support encrypted block devices in rhel5 (deleted)
2008-06-23 18:09 UTC, David Lehman
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0237 normal SHIPPED_LIVE mkinitrd bug fix and enhancement update 2009-01-20 16:06:39 UTC

Description David Lehman 2008-06-16 16:02:26 UTC
Description of problem:
We are adding support for installation to encrypted (LUKS) block devices for
5.3, so we will need mkinitrd to be able to create appropriate initrds to boot
these systems.

Version-Release number of selected component (if applicable):
mkinitrd-5.1.19.6-25

How reproducible:
Always with encrypted root or first swap.

Steps to Reproduce:
1. set up a system whose rootfs or first swap devices is encrypted w/ LUKS
2. run mkinitrd
3. examine the resulting initrd
  
Actual results:
initrd is not adequate to bring up the system

Expected results:
initrd brings up the system

Additional info:
I have a patch in the works which I will attach here eventually.

Comment 1 RHEL Product and Program Management 2008-06-16 16:30:30 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 David Lehman 2008-06-23 18:09:38 UTC
Created attachment 310051 [details]
rough patch to support encrypted block devices in rhel5

This is a bit rough. Specifically, the blocks in findstoragedriverinsys were
lifted straight from F9's mkinitrd.

Comment 4 David Lehman 2008-07-23 01:18:39 UTC
Fixed in mkinitrd-5.1.19.6-29.

Comment 8 errata-xmlrpc 2009-01-20 22:12:37 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0237.html


Note You need to log in before you can comment on or make changes to this bug.